Virtual Account Whitelisting

GET
/api/v1/customers/{customerId}/virtual-accounts/{virtualAccountId}/whitelist-accounts

List whitelisted source accounts for an AUD virtual account

Authorization

headerX-Api-Key<token>

API key in format: sti_env_prefix_secret

Path Parameters

customerId*string

Customer UUID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
virtualAccountId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

Default Response

application/json
  1. response
count*integer
Range0 <= value <= 9007199254740991
data*array<>
Example Request
curl -X GET 'https://api.sandbox.stables.money/api/v1/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/virtual-accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08/whitelist-accounts'
Example Response
{  "count": 0,  "data": [    {      "id": 0,      "account_name": "string",      "account_number": "string",      "bsb_number": "string",      "account_status": "enabled"    }  ]}
POST
/api/v1/customers/{customerId}/virtual-accounts/{virtualAccountId}/whitelist-accounts

Create a whitelisted source account for an AUD virtual account

Authorization

headerX-Api-Key<token>

API key in format: sti_env_prefix_secret

Path Parameters

customerId*string

Customer UUID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
virtualAccountId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Header Parameters

idempotency-key*string

Required for mutating calls. Use a V4 UUID. The server stores the first result for 24h and returns it on subsequent retries with the same key.

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

application/json
  1. body
source_account*

Response Body

Default Response

application/json
  1. response
id*integer
Range0 <= value <= 9007199254740991
account_name?string|null
account_number*string
bsb_number*string
account_status*string
Value in"enabled""disabled"
Example Request
curl -X POST 'https://api.sandbox.stables.money/api/v1/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/virtual-accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08/whitelist-accounts' \  -H 'idempotency-key: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{  "source_account": {    "account_number": "string",    "bsb_number": "string"  }}'
Example Response
{  "id": 0,  "account_name": "string",  "account_number": "string",  "bsb_number": "string",  "account_status": "enabled"}
PATCH
/api/v1/customers/{customerId}/virtual-accounts/{virtualAccountId}/whitelist-accounts/{sourceAccountId}

Update a whitelisted source account for an AUD virtual account

Authorization

headerX-Api-Key<token>

API key in format: sti_env_prefix_secret

Path Parameters

customerId*string

Customer UUID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
virtualAccountId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
sourceAccountId*integer
Range0 < value <= 9007199254740991

Header Parameters

idempotency-key*string

Required for mutating calls. Use a V4 UUID. The server stores the first result for 24h and returns it on subsequent retries with the same key.

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

application/json
  1. body
account_number*string
Length1 <= length
bsb_number*string
Length1 <= length
account_status*string
Value in"enabled""disabled"

Response Body

Default Response

application/json
  1. response
id*integer
Range0 <= value <= 9007199254740991
account_name?string|null
account_number*string
bsb_number*string
account_status*string
Value in"enabled""disabled"
Example Request
curl -X PATCH 'https://api.sandbox.stables.money/api/v1/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/virtual-accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08/whitelist-accounts/1' \  -H 'idempotency-key: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{  "account_number": "string",  "bsb_number": "string",  "account_status": "enabled"}'
Example Response
{  "id": 0,  "account_name": "string",  "account_number": "string",  "bsb_number": "string",  "account_status": "enabled"}